Package tigase.xmpp.impl.roster

# Enum Class RosterAbstract.StateTransition

java.lang.Object
java.lang.Enum<RosterAbstract.StateTransition>
tigase.xmpp.impl.roster.RosterAbstract.StateTransition

All Implemented Interfaces:
  `Serializable`, `Comparable<RosterAbstract.StateTransition>`, `Constable`

Enclosing class:
  RosterAbstract

public static enum RosterAbstract.StateTransition extends Enum<RosterAbstract.StateTransition>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `both`
  `from`
  `from_pending_out`
  `none`
  `none_pending_in`
  `none_pending_out`
  `none_pending_out_in`
  `none_pending_out_pre_approved`
  `none_pre_approved`
  `to`
  `to_pending_in`
  `to_pre_approved`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RosterAbstract.SubscriptionType`
  `getStateTransition(RosterAbstract.PresenceType pres_type)`
  `static RosterAbstract.StateTransition`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RosterAbstract.StateTransition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### none

    public static final RosterAbstract.StateTransition none

  - ### none_pending_out

    public static final RosterAbstract.StateTransition none_pending_out

  - ### none_pending_in

    public static final RosterAbstract.StateTransition none_pending_in

  - ### none_pending_out_in

    public static final RosterAbstract.StateTransition none_pending_out_in

  - ### to

    public static final RosterAbstract.StateTransition to

  - ### to_pending_in

    public static final RosterAbstract.StateTransition to_pending_in

  - ### from

    public static final RosterAbstract.StateTransition from

  - ### from_pending_out

    public static final RosterAbstract.StateTransition from_pending_out

  - ### both

    public static final RosterAbstract.StateTransition both

  - ### none_pre_approved

    public static final RosterAbstract.StateTransition none_pre_approved

  - ### none_pending_out_pre_approved

    public static final RosterAbstract.StateTransition none_pending_out_pre_approved

  - ### to_pre_approved

    public static final RosterAbstract.StateTransition to_pre_approved

- ## Method Details

  - ### values

    public static RosterAbstract.StateTransition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RosterAbstract.StateTransition valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getStateTransition

    public RosterAbstract.SubscriptionType getStateTransition(RosterAbstract.PresenceType pres_type)